QCollection(3qt)

NAME
QCollection - The base class of all Qt collections

SYNOPSIS

#include <qcollection.h>

Inherited by QGCache, QGDict and QGList.

  Public Members
bool autoDelete () const
void setAutoDelete ( bool enable )
virtual uint count () const
virtual void clear ()

  Protected Members
QCollection ()
QCollection ( const QCollection & )
virtual ~QCollection ()
virtual GCI newItem ( GCI )
virtual void deleteItem ( GCI )

DESCRIPTION
The QCollection class is the base class of all Qt collections.

The QCollection class is an abstract base class for the Qt collection classes QDict, QList etc. via QGDict, QGList etc.

A QCollection knows only about the number of objects in the collection and the deletion strategy.

A collection is implemented using the GCI (generic collection item) type, which is a void*. The template (or macro) classes that create the real collections cast the GCI to the required type.

See also: Collection Classes

MEMBER FUNCTION DOCUMENTATION

QCollection::QCollection () [protected]
Constructs a collection. The constructor is protected because QCollection is an abstract class.

QCollection::QCollection ( const QCollection & source ) [protected]
Constructs a copy of source with autoDelete() set to FALSE. The constructor is protected because QCollection is an abstract class.

Note that if source has autoDelete turned on, copying it is a good way to get memory leaks, reading freed memory, or both.

QCollection::~QCollection () [virtual protected]
Destroys the collection. The destructor is protected because QCollection is an abstract class.

bool QCollection::autoDelete () const
Returns the setting of the auto-delete option (default is FALSE).

See also: setAutoDelete().

virtual void QCollection::clear () [virtual]
Removes all objects from the collection. The objects will be deleted if auto-delete has been enabled.

See also: setAutoDelete().

Reimplemented in QPtrDict, QIntCache, QGCache, QDict, QIntDict, QGDict, QList, QCache and QGList.

virtual uint QCollection::count () const [virtual]
Returns the number of objects in the collection.

Reimplemented in QPtrDict, QIntCache, QGCache, QDict, QIntDict, QGDict, QList, QCache and QGList.

void QCollection::deleteItem ( GCI d ) [virtual protected]
Virtual function that deletes an item that is about to be removed from the collection.

The default implementation deletes d pointer if and only if auto-delete has been enabled.

This function is always reimplemented in the collection template classes.

See also: newItem() and setAutoDelete().

GCI QCollection::newItem ( GCI d ) [virtual protected]
Virtual function that creates a copy of an object that is about to be inserted into the collection.

The default implementation returns the d pointer, i.e. no copy is made.

This function is seldom reimplemented in the collection template classes. It is not common practice to make a copy of something that is being inserted.

See also: deleteItem().

void QCollection::setAutoDelete ( bool enable )
Sets the auto-delete option of the collection.

Enabling auto-delete (enable is TRUE) will delete objects that are removed from the collection. This can be useful if the collection has the only reference to the objects. (Note that the object can still be copied using the copy constructor - copying such objects is a good way to get memory leaks, reading freed memory or both.)

Disabling auto-delete (enable is FALSE) will not delete objects that are removed from the collection. This is useful if the objects are part of many collections.

The default setting is FALSE.

See also: autoDelete().

Examples: grapher/grapher.cpp

SEE ALSO
http://www.troll.no/qt/qcollection.html

COPYRIGHT
Copyright 1992-1997 Troll Tech AS. See the LICENSE file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.